﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WinDockManagerSaveLayout
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            FileStream stream = null;
            string fileName = "save.xml";
            switch (e.Tool.Key)
            {
                case "SaveXML":
                    try
                    {
                        stream = new FileStream(fileName, FileMode.Create, FileAccess.ReadWrite);
                        XMLWrapper.Save(ultraDockManager1, stream);
                    }
                    finally
                    {
                        if (stream != null)
                            stream.Close();
                    }

                    break;
                case "LoadXML":    // ButtonTool
                    if (!File.Exists(fileName))
                    {
                        MessageBox.Show("There is no xml to load layout. Please first save layout.");
                        return;
                    }
                    try
                    {
                        stream = new FileStream(fileName, FileMode.Open, FileAccess.ReadWrite);
                        XMLWrapper.Load(ultraDockManager1, stream);
                    }
                    finally
                    {
                        if (stream != null)
                            stream.Close();
                    }
                    break;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
        }
    }
}
